/****
 *
 * Este programa demonstra o uso incorreto
 * de uma varivel local de durao fixa
 *
 ****/

#include <stdio.h>

#define BYTES_POR_INT  8 /* Pode no ser o caso */
#define TAM_PREFIXO_OX 2 /* Caracteres em "0x" */
#define TAM_ARRAY     BYTES_POR_INT + TAM_PREFIXO_OX + 1

/****
 *
 * IntEmHex(): Retorna um string correspondente 
 *             representao hexadecimal de um int
 *
 * Argumento: valor (entrada) - o valor cuja
 *                              representao ser
 *                              determinada
 *
 * Retorno: string contendo a representao
 *          hexadecimal do inteiro; NULL se a
 *          representao no couber no string
 *
 ****/

char *IntEmHex(int valor)
{
   static char strHexadecimal[TAM_ARRAY];

      /* Verifica se o resultado da */
      /* representao hexadecimal  */
      /* caber no array            */
   if (sizeof(valor) > BYTES_POR_INT)
      return NULL; /* No vai caber no array */

      /* Copia a representao hexadecimal */
      /* do parmetro no array             */
   sprintf(strHexadecimal, "0x%X", valor);

   return strHexadecimal;
}

int main(void)
{
   printf("\nRepresentacao hexadecimal de %d: \"%s\""
          "\nRepresentacao hexadecimal de %d: \"%s\"\n",
          1, IntEmHex(1), 2, IntEmHex(2));

   return 0;
}

/*

Resultado do programa no Windows XP:

Representacao hexadecimal de 1: "0x1"
Representacao hexadecimal de 2: "0x1"

*/
