#include <ctype.h>
#include <locale.h>
#include <stdio.h>

/****
 * Funo EhStringAlfabetico(): verifica se um string
 *                              contm apenas letras
 *
 * Argumentos: str (entrada) - o string a ser checado
 *
 * Retorno: 1, se o string for alfabtico;
 *          0, em caso contrrio
 ****/
int EhStringAlfabetico(const char *str)
{
      /* O lao while  encerrado quando */
      /* um caractere que no  letra    */
      /*  encontrado (inclusive '\0')   */
   while (isalpha(*str++))
      ;

      /* Faz 'str' apontar para o caractere */
      /* que causou o encerramento do lao  */
   --str;

   return !*str;
}

int main(void)
{
   char  *s = "bola";

   printf( "O string \"%s\" %s alfabetico\n", s,
           EhStringAlfabetico(s) ? "e'" : "nao e'" );

   return 0;
}

/***

Resultado do programa:

O string "bola" e' alfabetico

***/
