/*******************************/
/* Exemplo de uso de tmpfile() */
/*******************************/

#include <stdio.h>

int main()
{
   FILE *stream,
        *streamTmp;
   int   c;

   if (!(stream = fopen("Arq1.txt", "r"))) {
      fprintf( stderr, "\nNao foi possivel abrir arquivo\n");
      return 1;
   }

   if (!(streamTmp = tmpfile())) {
      fprintf( stderr,
               "\nNao foi possivel abrir arquivo temporario\n");
      return 1;
   }

   while ((c = fgetc(stream)) != EOF)
      if (fputc(c, streamTmp) == EOF)
         break;

   fclose(stream);

      /* O contedo armazenado no arquivo temporrio  */
      /* seria processado aqui. Neste exemplo, ocorre */
      /* apenas a impresso deste contedo na tela.   */

   rewind(streamTmp);

   while((c = fgetc(streamTmp)) != EOF)
      putchar(c);

   fclose(streamTmp);

   return 0;
}
