/*****************************/
/* Exemplo de uso de vwscanf */
/*****************************/

#include <stdio.h>
#include <wchar.h>
#include <stdarg.h>

int Leitura(const wchar_t *formato, ...)
{
   int     nValoresAtribuidos;
   va_list args;

   va_start(args, formato);
   nValoresAtribuidos = vwscanf(formato, args);
   va_end(args);

   return nValoresAtribuidos;
}

int main(void)
{
   int   umInt, nValoresLidos;
   float umFloat;
   char  umChar;

   printf("Digite um inteiro, um real e um caractere:\n");

   nValoresLidos = Leitura( L"%d %f %c",
                            &umInt, &umFloat, &umChar );

   if (nValoresLidos != EOF)
      printf( "Numero de valores lidos e atribuidos: %d",
              nValoresLidos );
   else
      printf("Ocorreu algum erro de leitura");

   return 0;
}
