/**********************************/
/* Exemplo de uso de rand e srand */
/**********************************/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

/****
 *
 * Funo LancaDados(): simula um nmero determinado
 *                      de lanamentos de um dado
 *
 * Argumentos: nLancamentos (entrada) - nmero de vezes
 *                                      que o dado ser
 *                                      lanado
 *
 * Retorno: Nada
 *
 ****/

void LancaDados(unsigned nLancamentos)
{
   unsigned i;

   for(i=0; i < nLancamentos; i++)
      printf("\t\t\t\t%d\n", rand()%6 + 1);
}

int main(void)
{
   time_t t;

      /* Alimenta o gerador de nmeros aleatrios */
   srand((unsigned) time(&t));

   printf("\nPrimeira serie de lancamentos:\n");
   LancaDados(10);

   printf("\nSegunda serie de lancamentos:\n");
   LancaDados(10);

   return 0;
}
